<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Venezuela</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/choices.js/public/assets/styles/choices.min.css" rel="stylesheet" />
</head>

<body>
    <section class="container mt-5">
        <h1 class="text-center my-3">Estados, ciudades, municipios y parroquias de Venezuela</h1>
        <div class="row col-md-12 d-flex justify-content-center">
            <div class="col-md-6 my-3">
                <label class="lblSelect">Estado<i class="bi bi-patch-question ml-1 bi-0"></i></label>
                <select class='estado' id="estado" name="estado"></select>
            </div>
            <div class="col-md-6 my-3">
                <label class="lblSelect">Ciudad<i class="bi bi-patch-question ml-1 bi-0"></i></label>
                <select class='ciudad' id="ciudad" name="ciudad"></select>
            </div>
            <div class="col-md-6 my-3">
                <label class="lblSelect">Municipio<i class="bi bi-patch-question ml-1 bi-0"></i></label>
                <select class='municipio' id="municipio" name="municipio"></select>
            </div>
            <div class="col-md-6 my-3">
                <label class="lblSelect">Parroquia<i class="bi bi-patch-question ml-1 bi-0"></i></label>
                <select class='parroquia' id="parroquia" name="parroquia"></select>
            </div>
        </div>
    </section>
</body>
<script src="https://cdn.jsdelivr.net/npm/choices.js@9.0.1/public/assets/scripts/choices.min.js"></script>
<script>
    function FetchSelect(pag, dataJson, select) {
        const opciones = {
            method: 'POST',
            body: JSON.stringify(dataJson),
            headers: {
                'Content-Type': 'application/json'
            }
        }
        fetch(pag, opciones)
            .then(function(response) {
                return response.json();
            })
            .then(function(json) {
                select.setChoices(json);
            });
    };
    const estados = new Choices(estado, {
        addItems: true,
        searchEnabled: true,
        removeItems: true,
        removeItemButton: true,
        noResultsText: 'Sin coincidencias',
        noChoicesText: 'No hay opciones para elegir',
        itemSelectText: 'Eliga este'
    });
    const ciudades = new Choices(ciudad, {
        addItems: true,
        searchEnabled: true,
        removeItems: true,
        removeItemButton: true,
        noResultsText: 'Sin coincidencias',
        noChoicesText: 'Primero eliga estado',
        itemSelectText: 'Eliga este'
    });
    const municipios = new Choices(municipio, {
        addItems: true,
        searchEnabled: true,
        removeItems: true,
        removeItemButton: true,
        noResultsText: 'Sin coincidencias',
        noChoicesText: 'Primero eliga ciudad',
        itemSelectText: 'Eliga este'
    });
    const parroquias = new Choices(parroquia, {
        addItems: true,
        searchEnabled: true,
        removeItems: true,
        removeItemButton: true,
        noResultsText: 'Sin coincidencias',
        noChoicesText: 'Primero eliga municipio',
        itemSelectText: 'Eliga este'
    });
    FetchSelect('query.php', {
        'estado': true
    }, estados);
    document.querySelector('.estado').addEventListener('change', function() {
        ciudades.destroy();
        for (const option of document.querySelectorAll('.ciudad > option')) {
            option.remove();
        }
        ciudades.init();
        if (this.value.length > 0 || this.value == ' ') {
            ciudades.enable();
            FetchSelect('query.php', {
                'id_estado': this.value,
                'ciudad': true
            }, ciudades);
        } else {
            ciudades.disable();
        }
    });
    document.querySelector('.ciudad').addEventListener('change', function() {
        municipios.destroy();
        for (const option of document.querySelectorAll('.municipio > option')) {
            option.remove();
        }
        municipios.init();
        if (this.value.length > 0 || this.value == ' ') {
            municipios.enable();
            FetchSelect('query.php', {
                'id_estado': this.value,
                'municipio': true
            }, municipios);
        } else {
            municipios.disable();
        }
    });
    document.querySelector('.municipio').addEventListener('change', function() {
        parroquias.destroy();
        for (const option of document.querySelectorAll('.parroquia > option')) {
            option.remove();
        }
        parroquias.init();
        if (this.value.length > 0 || this.value == ' ') {
            parroquias.enable();
            FetchSelect('query.php', {
                'id_municipio': this.value,
                'parroquia': true
            }, parroquias);
        } else {
            parroquias.disable();
        }
    });
</script>

</html>